org.apache.cassandra.tools.nodetool

## Class SetStreamThroughput

- java.lang.Object
- - org.apache.cassandra.tools.NodeTool.NodeToolCmd
  - - org.apache.cassandra.tools.nodetool.SetStreamThroughput

All Implemented Interfaces:
  java.lang.Runnable

    @Command(name="setstreamthroughput",
             description="Set the Mb/s throughput cap for streaming in the system, or 0 to disable throttling")
    public class SetStreamThroughput
    extends NodeTool.NodeToolCmd

### Constructor Summary

Constructors
Constructor and Description
`SetStreamThroughput()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute(NodeProbe probe)`

### Methods inherited from class org.apache.cassandra.tools.NodeTool.NodeToolCmd

`parseOptionalColumnFamilies, parseOptionalKeyspace, parseOptionalKeyspace, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetStreamThroughput

    public SetStreamThroughput()

### Method Detail

#### execute

    public void execute(NodeProbe probe)

Specified by:
  `execute` in class `NodeTool.NodeToolCmd`